preboard_client_free
preboard_client_new
preboard_client_start_service
preboard_client_t
preboard_commit_stashbag
preboard_create_stashbag
preboard_error_t
preboard_receive
preboard_receive_with_timeout
preboard_send
PREBOARD_SERVICE_NAME
preboard_status_cb_t

## preboard_client_new()

LIBIMOBILEDEVICE_API preboard_error_t preboard_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | preboard_client_t * | client )

Connects to the preboard service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated preboard_client_t upon successful return. Must be freed using preboard_client_free() after use.

Returns
  PREBOARD_E_SUCCESS on success, PREBOARD_E_INVALID_ARG when client is NULL, or an PREBOARD_E_* error code otherwise.